Issue 114609

Summary: adapt SDK etc. to passive UNO component registration
Product: App Dev Reporter: Stephan Bergmann <stephan.bergmann.secondary>
Component: apiAssignee: jsc
Status: CLOSED FIXED QA Contact: issues@api <issues>
Severity: Trivial    
Priority: P3 CC: ab, arielch, issues, oliver.brinzing, pet.ebe
Version: 3.3.0 or older (OOo)   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Stephan Bergmann 2010-09-20 10:53:38 UTC
SDK, NetBeans plugin, etc. should be adapted to passive registration.  Note that
for OOo extensions, (a) it is still unclear how passive registration will look
like exactly, and (b) passive registration will make extensions incompatible
with older OOo versions.
Comment 2 Oliver Brinzing 2010-09-20 17:50:28 UTC
.
Comment 3 jsc 2010-09-30 09:01:49 UTC
set target
Comment 4 Stephan Bergmann 2010-10-25 15:43:01 UTC
once SDK examples have been converted,
<http://wiki.services.openoffice.org/w/index.php?title=Documentation/DevGuide/Extensions/File_Format&oldid=187147#Passively_Registered_UNO_Components>
could link to those instead of desktop/test/deployment/passive/
Comment 5 eberlein 2010-10-29 10:33:24 UTC
.
Comment 6 Ariel Constenla-Haile 2010-12-16 16:50:16 UTC
.
Comment 7 jsc 2011-02-25 09:43:07 UTC
fixed on cws jsc340

The fix include the changes for the SDK examples only. Means the SDK component examples are changed to make use of the new passive registration mechanism. The code generators and the NetBeans plugin will be addressed in separate issues.

Changed examples: 
./examples/cpp/complextoolbarcontrols
./examples/java/Inspector
./examples/java/MinimalComponent
./examples/java/PropertySet
./examples/java/Spreadsheet
./examples/java/ToDo
./examples/java/EmbedDocument/EmbeddedObject
./examples/DevelopersGuide/Components/JavaComponent
./examples/DevelopersGuide/Components/SimpleLicense
./examples/DevelopersGuide/Components/CppComponent
./examples/DevelopersGuide/Components/Addons/ProtocolHandlerAddon_java
./examples/DevelopersGuide/Components/Addons/JobsAddon
./examples/DevelopersGuide/Components/Addons/ProtocolHandlerAddon_cpp
./examples/DevelopersGuide/Components/dialogcomponent
./examples/DevelopersGuide/Database/DriverSkeleton
./examples/DevelopersGuide/Charts
./examples/DevelopersGuide/OfficeDev/Linguistic
./examples/DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilter_java
./examples/DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilterDetection
./examples/DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilter_cpp
./examples/DevelopersGuide/OfficeDev/FilterDevelopment/AsciiFilter
./examples/DevelopersGuide/Spreadsheet
Comment 8 ab 2011-03-03 14:30:36 UTC
Checked all mentioned examples plus (as previously discussed):
./examples/cpp/counter
./examples/cpp/documentloader
./examples/cpp/remoteclient
./examples/DevelopersGuide/profuno/cppbinding (office connect)

VERIFIED